import { Spec } from './Spec.cjs';
import { generatorsYml, Audiences } from '@fern-api/configuration';
import { dynamic } from '@fern-api/ir-sdk';
import 'openapi-types';
import '@fern-api/browser-compatible-fern-workspace';

declare function generateDynamicIR({ spec, language, generatorsConfiguration, audiences, keywords, smartCasing }: {
    spec: Spec;
    language: generatorsYml.GenerationLanguage;
    generatorsConfiguration?: generatorsYml.GeneratorsConfiguration;
    audiences?: Audiences;
    keywords?: string[];
    smartCasing?: boolean;
}): dynamic.DynamicIntermediateRepresentation;

export { generateDynamicIR };
